public class GunEnemyRangeExpansion {
    private String functionStatus;
    private String gunName;
    private String ownEnemyAimingStrength;
    private String enhancedOwnEnemyAimingStrength;
    private String enemyRangeExpansionOwnEffectStrength;
    private String enhancedEnemyRangeExpansionOwnEffectStrength;
    private String ownAimingStrengthDesc;
    private String enemyRangeExpansionEnhancementDesc;

    public GunEnemyRangeExpansion() {}

    public GunEnemyRangeExpansion(String functionStatus, String gunName, String ownEnemyAimingStrength, 
                                  String enhancedOwnEnemyAimingStrength, String enemyRangeExpansionOwnEffectStrength, 
                                  String enhancedEnemyRangeExpansionOwnEffectStrength, String ownAimingStrengthDesc, 
                                  String enemyRangeExpansionEnhancementDesc) {
        this.functionStatus = functionStatus;
        this.gunName = gunName;
        this.ownEnemyAimingStrength = ownEnemyAimingStrength;
        this.enhancedOwnEnemyAimingStrength = enhancedOwnEnemyAimingStrength;
        this.enemyRangeExpansionOwnEffectStrength = enemyRangeExpansionOwnEffectStrength;
        this.enhancedEnemyRangeExpansionOwnEffectStrength = enhancedEnemyRangeExpansionOwnEffectStrength;
        this.ownAimingStrengthDesc = ownAimingStrengthDesc;
        this.enemyRangeExpansionEnhancementDesc = enemyRangeExpansionEnhancementDesc;
    }

    public String getFunctionStatus() {
        return functionStatus;
    }

    public void setFunctionStatus(String functionStatus) {
        this.functionStatus = functionStatus;
    }

    public String getGunName() {
        return gunName;
    }

    public void setGunName(String gunName) {
        this.gunName = gunName;
    }

    public String getOwnEnemyAimingStrength() {
        return ownEnemyAimingStrength;
    }

    public void setOwnEnemyAimingStrength(String ownEnemyAimingStrength) {
        this.ownEnemyAimingStrength = ownEnemyAimingStrength;
    }

    public String getEnhancedOwnEnemyAimingStrength() {
        return enhancedOwnEnemyAimingStrength;
    }

    public void setEnhancedOwnEnemyAimingStrength(String enhancedOwnEnemyAimingStrength) {
        this.enhancedOwnEnemyAimingStrength = enhancedOwnEnemyAimingStrength;
    }

    public String getEnemyRangeExpansionOwnEffectStrength() {
        return enemyRangeExpansionOwnEffectStrength;
    }

    public void setEnemyRangeExpansionOwnEffectStrength(String enemyRangeExpansionOwnEffectStrength) {
        this.enemyRangeExpansionOwnEffectStrength = enemyRangeExpansionOwnEffectStrength;
    }

    public String getEnhancedEnemyRangeExpansionOwnEffectStrength() {
        return enhancedEnemyRangeExpansionOwnEffectStrength;
    }

    public void setEnhancedEnemyRangeExpansionOwnEffectStrength(String enhancedEnemyRangeExpansionOwnEffectStrength) {
        this.enhancedEnemyRangeExpansionOwnEffectStrength = enhancedEnemyRangeExpansionOwnEffectStrength;
    }

    public String getOwnAimingStrengthDesc() {
        return ownAimingStrengthDesc;
    }

    public void setOwnAimingStrengthDesc(String ownAimingStrengthDesc) {
        this.ownAimingStrengthDesc = ownAimingStrengthDesc;
    }

    public String getEnemyRangeExpansionEnhancementDesc() {
        return enemyRangeExpansionEnhancementDesc;
    }

    public void setEnemyRangeExpansionEnhancementDesc(String enemyRangeExpansionEnhancementDesc) {
        this.enemyRangeExpansionEnhancementDesc = enemyRangeExpansionEnhancementDesc;
    }

    @Override
    public String toString() {
        return "GunEnemyRangeExpansion{" +
                "functionStatus='" + functionStatus + '\'' +
                ", gunName='" + gunName + '\'' +
                ", ownEnemyAimingStrength='" + ownEnemyAimingStrength + '\'' +
                ", enhancedOwnEnemyAimingStrength='" + enhancedOwnEnemyAimingStrength + '\'' +
                ", enemyRangeExpansionOwnEffectStrength='" + enemyRangeExpansionOwnEffectStrength + '\'' +
                ", enhancedEnemyRangeExpansionOwnEffectStrength='" + enhancedEnemyRangeExpansionOwnEffectStrength + '\'' +
                ", ownAimingStrengthDesc='" + ownAimingStrengthDesc + '\'' +
                ", enemyRangeExpansionEnhancementDesc='" + enemyRangeExpansionEnhancementDesc + '\'' +
                '}';
    }
}
